View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
07395Feature requestsTheme editorpublic2021-11-09 11:12
Reporterkishu Assigned Togalads  
PrioritynormalSeverityfeature 
Status closedResolutionfixed 
Summary07395: Presentation of un-answered mandatory questions
DescriptionIt's very usual to find users submitting the form with mandatory questions unanswered. Then the page gets reloaded again with a change of css to point out the such questions. The problem is when a survey page is too long with more number of questions then the user needs to scroll all along to find out what he missed. This is fine but a better alternative can be thought of.
Additional InformationA possible solution: Using Light Window type interface
One solution is to use a light window type interface. Whenever user submits (clicks next button) the page, all unanswered questions will be popped out in a light window notifying the user that they are mandatory. This provides a easy UI and a good surveying experience. After filling these missed mandatory questions he'll be taken forward as usual.
TagsNo tags attached.
Bug heat4

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

DenisChenu

DenisChenu

2010-03-19 01:25

developer   ~24339

Alternative solution: Using body CSS
When a page is submitted, if an error occur (mandatory or bad response) put a body class="error" and div class question error mandatory

And then with css, template can choose to show or not the good question. It's presentation, ls code don't have to make presntation choice, only tempate have to make presentation choice. (for example with jquery : put a animated hiding on good question)

And please, don't use light window ...


.
galads

galads

2021-11-09 11:12

administrator   ~67206

Hello kishu,

Thank you for suggesting a feature.

However, it seems the feature has been implemented already in the latest versions.

Please check on the latest versions and if the issue still exists, feel free to re-open the report.

kind regards,
galads

Issue History

Date Modified Username Field Change
2015-12-11 14:40 c_schmitz Category Templates => Theme editor
2021-11-09 11:12 galads Note Added: 67206
2021-11-09 11:12 galads Bug heat 2 => 4
2021-11-09 11:12 galads Assigned To => galads
2021-11-09 11:12 galads Status acknowledged => closed
2021-11-09 11:12 galads Resolution open => fixed